Get identity provider by id
Get a specific identity provider by its unique identifier.
Authorization
Bearer AuthorizationBearer <token>
JWT Authorization header using the Bearer scheme. Example: 'Bearer {token}'
In: header
Path Parameters
id*string
The unique identifier of the identity provider.
Format
uuidResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v2/identity-providers/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "isSuccess": true, "error": {}, "errorDetails": "string", "message": "string", "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "signAuthnRequest": true, "entityID": "string", "singleSignOnUrl": "string", "singleLogoutUrl": "string", "certificateFile": "string", "useEmbeddedCertificate": true, "buttonLabel": "string", "isAactive": true, "type": "string", "certificatePublicKey": "string", "payload": "string", "assertionConsumerServiceUrl": "string", "serviceProviderEntityID": "string", "createdDate": "2019-08-24T14:15:22Z", "userIdentificationMode": "string", "domainAccountClaim": "string" }, "resultInfo": { "page": 0, "perPage": 0, "totalCount": 0, "totalPages": 0, "hasPreviousPage": true, "hasNextPage": true }}